$ErrorActionPreference = 'Stop';

$packageName = 'MobaXTerm'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.mobatek.net/1092018073012523/MobaXterm_Installer_v10.9.zip'
$url64      = 'http://download.mobatek.net/1092018073012523/MobaXterm_Installer_v10.9.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '66214550140d01fa5995af52efa4230c729e598981d4b5d9f99bf563b01b7c97'
  checksumType  = 'sha256'
  checksum64    = '66214550140d01fa5995af52efa4230c729e598981d4b5d9f99bf563b01b7c97'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'MSI'
  file          = Join-Path $toolsDir 'MobaXterm_installer.msi'
  file64        = Join-Path $toolsDir 'MobaXterm_installer.msi'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs
